Package org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaAlterTableDropColumnOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation
  - - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractAlterTableOperation
    - - org.apache.ignite.internal.processors.query.schema.operation.SchemaAlterTableDropColumnOperation

All Implemented Interfaces:
  `Serializable`

    public class SchemaAlterTableDropColumnOperation
    extends SchemaAbstractAlterTableOperation

Schema alter table drop column operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SchemaAlterTableDropColumnOperation​(UUID opId, String cacheName, String schemaName, String tblName, List<String> cols, boolean ifTblExists, boolean ifExists)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `columns()`
`boolean` `ifExists()`
`boolean` `ifTableExists()`
`String` `tableName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

`cacheName, id, schemaName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaAlterTableDropColumnOperation

    public SchemaAlterTableDropColumnOperation​(UUID opId,
                                               String cacheName,
                                               String schemaName,
                                               String tblName,
                                               List<String> cols,
                                               boolean ifTblExists,
                                               boolean ifExists)

Constructor.

Parameters:
  `opId` - Operation id.
  `schemaName` - Schema name.
  `tblName` - Target table name.
  `cols` - Columns to drop.
  `ifTblExists` - Ignore operation if target table doesn't exist.
  `ifExists` - Ignore operation if column does not exist.

### Method Detail

#### ifTableExists

    public boolean ifTableExists()

Returns:
  Ignore operation if table doesn't exist.

#### columns

    public List<String> columns()

Returns:
  Columns to drop.

#### ifExists

    public boolean ifExists()

Returns:
  Quietly abort this command if column does not exist (honored only in single column case).

#### tableName

    public String tableName()

Returns:
  Target table name.

#### toString

    public String toString()

Overrides:
  `toString` in class `SchemaAbstractOperation`